type level = Error | Warning | Info

let level = ref Info
let set_level l = level := l

let level_to_int = function
    Error -> 0
  | Warning -> 1
  | Info -> 2

let info s =
    if level_to_int !level >= 2 then
        prerr_endline s
    else ()

let warning s =
    if level_to_int !level >= 1 then
        prerr_endline s
    else ()

let error s =
    if level_to_int !level >= 0 then
        prerr_endline s
    else ()
